> ## Documentation Index
> Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user details by ID (Admin only)

> Retrieves detailed information about a specific user. Requires admin privileges.



## OpenAPI

````yaml /mdx/api-reference/admin/admin-api.json get /api/admin/user/{userId}
openapi: 3.0.0
info:
  title: Pria Admin API
  version: 2.0.1
  description: >-
    Pria API Documentation Praxis's developer platform is a core part of our
    mission to empower organizations to grow better. Our APIs are designed to
    enable teams of any shape or size to build robust integrations that help
    them customize and get the most value out of Pria. All Pria APIs are built
    using REST conventions and designed to have a predictable URL structure.
    <br/>  <br/>They use many standard HTTP features, including methods (POST,
    GET, PUT, DELETE) and error response codes.  <br/> <br/>All API calls are
    made under https://hiimpria.ai/api and all responses return standard JSON.
    In these docs, you'll find lists of all available endpoints for a given API,
    along with interactive code blocks for building requests. For walkthroughs
    of basic usage for these APIs, check out the API guides.
servers:
  - url: https://pria.praxislxp.com
    description: Pria API Server
security: []
tags:
  - name: Authentication
    description: User authentication, registration, and password management (/api/auth)
  - name: OAuth
    description: OAuth authentication providers - Google, GitHub, SSO (/api/auth/oauth)
  - name: User
    description: User profile management and account operations (/api/user)
  - name: User Institutions
    description: User institution memberships and switching (/api/user/institution)
  - name: User Tools
    description: Available tools for authenticated users (/api/user/tools)
  - name: Institutions
    description: Institution settings and configuration (/api/user/institution)
  - name: Conversation
    description: AI conversation and Q&A endpoints (/api/ai)
  - name: Realtime
    description: Real-time voice AI and WebRTC sessions (/api/ai/rt)
  - name: Assistant
    description: AI assistant configuration and management (/api/user/assistant)
  - name: History
    description: Conversation history and favorites (/api/user/history)
  - name: RAG
    description: >-
      Document upload, embedding, and retrieval-augmented generation
      (/api/user/files, /api/user/rag)
  - name: Setting
    description: Instance variables and settings management (/api/user/setting)
  - name: Branding
    description: Digital twin branding and customization (/api/agent/branding)
  - name: Agent
    description: Agent engagement and session management (/api/agent)
  - name: SDK Launch
    description: >-
      SDK launch token signing and verification for secure iframe embedding
      (/api/auth/sdk-sign, /api/auth/sdk-verify)
  - name: Testing
    description: Health checks, diagnostics, and test endpoints (/api/test)
  - name: Admin Accounts
    description: Account management for super admins (/api/admin/account)
  - name: Admin Institutions
    description: Institution management for admins (/api/admin/institution)
  - name: Admin Users
    description: User management for admins (/api/admin/user)
  - name: Admin Entitlements
    description: >-
      User-institution relationships and permissions
      (/api/admin/userInstitution)
  - name: Admin Sessions
    description: Session management for admins (/api/admin/session)
  - name: Admin Histories
    description: Conversation history management and analytics (/api/admin/history)
  - name: Admin Assistants
    description: AI assistant management for admins (/api/admin/assistant)
  - name: Admin Questions
    description: Institution question and prompt management (/api/admin/question)
  - name: Admin Tools
    description: Tool configuration management (/api/admin/tool)
  - name: Admin AI Models
    description: AI model configuration (/api/admin/aimodel)
  - name: Admin MCP Servers
    description: Model Context Protocol server management (/api/admin/mcpserver)
  - name: Admin Feedbacks
    description: User feedback management (/api/admin/feedback)
  - name: Admin Uploads
    description: Upload management (/api/admin/upload)
  - name: Admin Charts
    description: Analytics and visualization chart management (/api/admin/chart)
  - name: Admin Memory
    description: Admin inspection and editing of user/instance memory parameters.
  - name: Admin Usage Limits
    description: Per-user usage-vs-cap reporting and account-wide at-limit counts.
paths:
  /api/admin/user/{userId}:
    get:
      tags:
        - Admin Users
      summary: Get user details by ID (Admin only)
      description: >-
        Retrieves detailed information about a specific user. Requires admin
        privileges.
      parameters:
        - in: path
          name: userId
          required: true
          schema:
            type: string
          description: The user ID to retrieve
          example: 66c78d1bdafac05a3c28bbce
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminUserResponse'
        '401':
          description: Unauthorized - Invalid or missing access token
        '403':
          description: Forbidden - Insufficient privileges
        '404':
          description: User not found
      security:
        - apiKeyAuth: []
components:
  schemas:
    AdminUserResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success status
        data:
          $ref: '#/components/schemas/UserData'
    UserData:
      type: object
      properties:
        rt_voice:
          type: string
          description: Real-time voice setting
          example: coral
        use_location:
          type: boolean
          description: Whether user allows location usage
        showSideBar:
          type: boolean
          description: Show Sidebar in Pria UI
        dark_mode:
          type: boolean
          description: Dark mode preference
        _id:
          type: string
          description: User ID
        email:
          type: string
          description: User email address
        fname:
          type: string
          description: First name
        lname:
          type: string
          description: Last name
        picture:
          type: string
          description: Profile picture URL
        password:
          type: string
          description: Encrypted password hash
        accountType:
          type: string
          description: Type of user account
        permissions:
          type: array
          items:
            type: string
          description: User permissions array
        customerId:
          type: string
          description: Customer ID
        lxp_user_id:
          type: string
          description: LXP user identifier
        lxp_user_type:
          type: number
          description: LXP user type
        lxp_partner_id:
          type: string
          description: LXP partner ID
        lxp_partner_name:
          type: string
          description: LXP partner name
        lxp_role_id:
          type: number
          description: LXP role ID
        lxp_role_name:
          type: string
          description: LXP role name
        credits:
          type: number
          description: Available credits
        creditsUsed:
          type: number
          description: Credits used
        plan:
          type: string
          description: User subscription plan
        status:
          type: string
          description: User account status
        trial_end:
          type: string
          format: date-time
          description: Trial end date
        trial_used:
          type: boolean
          description: Whether trial has been used
        current_period_end:
          type: string
          format: date-time
          description: Current billing period end
        cancel_at_period_end:
          type: boolean
          description: Whether to cancel at period end
        referralId:
          type: string
          description: Referral ID
        referrerPaid:
          type: boolean
          description: Whether referrer has been paid
        institution:
          $ref: '#/components/schemas/Institution'
        resetCodeId:
          type: string
          description: Password reset code ID
        direct:
          type: boolean
          description: Direct user flag
        invoices_urls:
          type: array
          items:
            type: string
          description: Array of invoice URLs
        remember_history_count:
          type: number
          description: Number of history items to remember
        browser_voice:
          type: string
          description: Browser voice setting
        created:
          type: string
          format: date-time
          description: Account creation date
    Institution:
      type: object
      properties:
        _id:
          type: string
          description: Institution ID
        name:
          type: string
          description: Institution name
        picture:
          type: string
          description: Institution picture URL
          format: uri
        credits:
          type: integer
          description: Available credits for the institution
        creditsUsed:
          type: integer
          description: Number of credits used
        creditsAwarded:
          type: integer
          description: Credits awarded to the institution
        status:
          type: string
          enum:
            - active
            - inactive
          description: Institution status
        publicId:
          type: string
          description: Public identifier for the institution
        publicAuthorizedUrls:
          type: array
          items:
            type: string
          description: List of authorized URLs for the institution
        ainame:
          type: string
          description: AI name for the institution
        contactEmail:
          type: string
          description: Contact email for the institution
        poolCredits:
          type: boolean
          description: Whether credits are pooled
        created:
          type: string
          format: date-time
          description: Institution creation timestamp
        lastActivityAt:
          type: string
          format: date-time
          nullable: true
          description: >-
            Timestamp of the most recent activity (history save) cascaded from
            users. Null if no activity has been recorded.
        conversationModel:
          type: string
          description: AI conversation model used
        account:
          $ref: '#/components/schemas/Account'
        agent:
          $ref: '#/components/schemas/AgentWorkspaceAgentState'
          nullable: true
          description: >-
            Agent workspace desired-state configuration for this institution,
            when activation has been requested.
        maxCompletionTokens:
          type: integer
          description: Maximum completion tokens allowed
        creditsTotal:
          type: number
          description: Total credits available
          nullable: true
        creditsUsagePct:
          type: number
          description: Percentage of credits used
        id:
          type: string
          description: Institution ID
        displayAgentDetails:
          type: boolean
          description: Whether to display persisted tool details on saved History records
        displayThinkingDetails:
          type: boolean
          description: >-
            Whether to display persisted model thinking/reasoning details on
            saved History records
        displayRagSearchDetails:
          type: boolean
          description: >-
            Whether to display persisted RAG/KAG retrieval segments on saved
            History records
        displayThinkingExecution:
          type: boolean
          description: >-
            Whether to display the live thinking trace while a response is
            streaming
        displayToolExecution:
          type: boolean
          description: >-
            Whether to display live tool execution indicators while a response
            is streaming
    Account:
      type: object
      properties:
        _id:
          type: string
          description: Account ID
        name:
          type: string
          description: Account name
        managerEmail:
          type: string
          format: email
          description: Email of the account's primary manager (required).
        credits:
          type: integer
          description: Account credits.
        domainUrls:
          type: array
          items:
            type: string
          description: Domains associated with the account.
        status:
          type: string
          enum:
            - active
            - inactive
            - deleted
          description: Account status. Soft-delete sets this to `deleted`.
        qualification:
          type: string
          description: Sales pipeline qualification (Suspect, Prospect, MQL, SQL, …).
        created:
          type: string
          format: date-time
          description: Creation timestamp
        creditCaps:
          type: object
          description: Per-user credit caps (super-only). Disabled by default.
          properties:
            enabled:
              type: boolean
              default: false
            perUserAccountTotal:
              type: number
              nullable: true
            perUserInstitutionDefault:
              type: number
              nullable: true
            perUser24hDefault:
              type: number
              nullable: true
    AgentWorkspaceAgentState:
      type: object
      properties:
        enabled:
          type: boolean
        status:
          type: string
          enum:
            - not_enabled
            - requested
            - provisioning
            - ready
            - failed
            - disabled
        preset:
          type: string
        manifestYaml:
          type: string
        manifestDigest:
          type: string
        preferences:
          $ref: '#/components/schemas/AgentWorkspacePreferences'
        requestedBy:
          type: string
        requestedAt:
          type: string
          format: date-time
        provisionedAt:
          type: string
          format: date-time
        lastError:
          type: string
    AgentWorkspacePreferences:
      type: object
      properties:
        cpu:
          type: number
          minimum: 0.25
          maximum: 4
        memoryMb:
          type: integer
          minimum: 512
          maximum: 8192
        storageGb:
          type: integer
          minimum: 5
          maximum: 100
        gui:
          type: boolean
        vncResolution:
          type: string
          example: 1280x800
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: JWT token passed in x-access-token header

````